Package org.eclipse.rdf4j.query.algebra.evaluation.function.geosparql

## Class EhDisjoint

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.geosparql.EhDisjoint

- All Implemented Interfaces:
    `Function`

      public class EhDisjoint
      extends Object

  The GeoSPARQL `Function` geof:ehDisjoint, as defined in OGC GeoSPARQL - A Geographic Query Language for RDF Data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EhDisjoint()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Value` | `evaluate​(ValueFactory valueFactory, Value... args)` | Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `String` | `getURI()` |
    `protected boolean` | `relation​(org.locationtech.spatial4j.shape.Shape s1, org.locationtech.spatial4j.shape.Shape s2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate`

- - ### Constructor Detail

    - #### EhDisjoint

          public EhDisjoint()

  - ### Method Detail

    - #### getURI

          public String getURI()

    - #### relation

          protected boolean relation​(org.locationtech.spatial4j.shape.Shape s1,
                                     org.locationtech.spatial4j.shape.Shape s2)

    - #### evaluate

          public Value evaluate​(ValueFactory valueFactory,
                                Value... args)
                         throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`